package com.corejsf;

import javax.faces.component.FacesComponent;
import javax.faces.component.UIInput;
import javax.faces.convert.IntegerConverter;

@FacesComponent("com.corejsf.Spinner")
public class UISpinner extends UIInput {
   public UISpinner() {
      setConverter(new IntegerConverter()); 
         // konwersja otrzymanej wartości
      setRendererType("com.corejsf.JSSpinner");  
         // ten komponent ma mechanizm wizualizacji
   }
}